# Import der benötigten Module
import microbit
import radio

# Einschalten der Funkhardware
radio.on()

# Definition der Variablen zur Datenübertragung
data0 = "0"
data1 = "0"
data = "00"

# Abfrageschleife
while True:
    # auslesen der Werte des Beschleunigungssensors
    a = microbit.accelerometer.get_values()

    # Zuordnung der Buchstaben zu einer Richtung und speichern in data0
    # micro:bit nach links geneigt und nicht über den Schwellenwert nach vorn
    if a[0] >= 300 and a[1] <= 300:
        data0 = "l"
    # micro:bit nach rechts geneigt und nicht über den Schwellenwert nach vorn
    elif a[0] <= -300 and a[1] <= 300:
        data0 = "r"
    # micro:bit nach vorn geneigt und nicht über den Schwellenwert zur Seite
    elif a[1] <= -300 and a[0] >= -300 and a[0] <= 300:
        data0 = "f"
    # micro:bit nach hinten geneigt
    elif a[1] >= 300:
        data0 = "b"
    # sonst 0
    else:
        data0 = "0"

# Zuordnung der Buchstaben zu einem Knopf und speichern in data1
    if microbit.button_a.is_pressed() == 1 and microbit.button_b.is_pressed() == 0:
        data1 = "a"
    elif microbit.button_a.is_pressed() == 0 and microbit.button_b.is_pressed() == 1:
        data1 = "b"
    elif microbit.button_a.is_pressed() == 1 and microbit.button_b.is_pressed() == 1:
        data1 = "c"
    else:
        data1 = "0"
    # data0 und data1 zusammensetzen und in data speichern
    data = data0 + data1
    # data senden
    radio.send(data)
